FiSci
  1. Fire Simulations
FiSci
  • Fire Simulations
    • Create Fire Simulation
      POST
    • Fire Simulation Result
  1. Fire Simulations

Create Fire Simulation

Testing
POST
https://api.mitigate.uat.fi-sci.ai/v1/projects/{project_id}/fire-simulation
Triggers an asynchronous fire simulation at the provided ignition point. Upon completion, the system will POST the results to your registered webhook URL.

Request

Authorization
OAuth 2.0
Client Credentials
Add the parameter
Authorization
to Headers
,whose value is to concatenate the Token after the Bearer.
Example:
Authorization: Bearer ********************
Token URL: https://auth-mitigate-uat.auth.ap-southeast-2.amazoncognito.com/oauth2/token
or
Path Params

Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.mitigate.uat.fi-sci.ai/v1/projects/123/fire-simulation' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
  "ignition": {
    "longitude": 150.57602266105957,
    "latitude": -33.887415020826104
  },
  "start_time": "2025-10-10T14:00:00+1100",
  "duration": 8,
  "interval": 60,
  "reference": "Wattle Creek Fire"
}'
Response Response Example
{
    "id": "0T6HyBrXIZuDl73ViyRp"
}
Modified at 2026-03-07 07:43:32
Next
Fire Simulation Result
Built with